import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';
import { d as defineCustomElement$2 } from './bal-icon2.js';

const StageBackLink = /*@__PURE__*/ proxyCustomElement(class StageBackLink extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        /**
         * If `true` adds a text shadow to improve readability on image background
         * */
        this.shadow = false;
        /**
         * If `true` the color gets inverted for dark backgrounds
         */
        this.inverted = false;
    }
    render() {
        const block = BEM.block('stage-back-link');
        return (h(Host, { key: '4b980500cb525ce37993b2660d3e6f47afee0f4e', class: Object.assign(Object.assign({}, block.class()), block.modifier('shadow').class(this.shadow)) }, h("a", { key: 'afadcd09a4c0c669d387d12a28c712d3de376a41', class: {
                'link': true,
                'is-inverted': this.inverted,
            }, href: this.href, rel: this.rel }, h("bal-icon", { key: '764fd4ed183e8542d921d2a57e1850adc590b348', class: "mr-x-small", name: "caret-left", size: "x-small", inverted: this.inverted, shadow: this.shadow }), h("slot", { key: 'e3c1b6d3ede82a002ce474cb72ad888586502201' }))));
    }
    get el() { return this; }
}, [260, "bal-stage-back-link", {
        "href": [1],
        "rel": [1],
        "shadow": [4],
        "inverted": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-stage-back-link", "bal-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-stage-back-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StageBackLink);
            }
            break;
        case "bal-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const BalStageBackLink = StageBackLink;
const defineCustomElement = defineCustomElement$1;

export { BalStageBackLink, defineCustomElement };
